# eoRealInitBounded< EOT > Class Template Reference

Simple initialization for any EOT that derives from std::vector<double> uniformly in some bounds. More...

`#include <eoRealInitBounded.h>`

Inheritance diagram for eoRealInitBounded< EOT >:

List of all members.

## Public Member Functions

| eoRealInitBounded (eoRealVectorBounds &_bounds)
| Ctor - from eoRealVectorBounds.
virtual void | operator() (EOT &_eo)
| simply passes the argument to the uniform method of the bounds
virtual eoRealVectorBounds & | theBounds ()
| accessor to the bounds
virtual unsigned | size ()

## Private Attributes

eoRealVectorBounds & | bounds

## Detailed Description

### template<class EOT>
class eoRealInitBounded< EOT >

Simple initialization for any EOT that derives from std::vector<double> uniformly in some bounds.

Definition at line 40 of file eoRealInitBounded.h.

The documentation for this class was generated from the following file:

- eoRealInitBounded.h